<template>
    <div class="">
        <div class="table_config" v-if="on_load && !this.show_data.length">
            <div class="fakeloader">
                <div class="fl spinner4"></div>
            </div>
        </div>
        <div class="tb_ct">
            <table class="base_tb_ct"  v-if="!on_load || this.show_data.length">
                <tr>
                    <th>
                        {{ lang.account_name }}
                    </th>
                    <th>
                        {{ lang.create_time }}
                    </th>
                </tr>
                <tr v-for="item, index in show_data" v-bind:class="{'tr_bg': index%2}">
                    <td width="30%">
                        <div class="td_more_show">
                            <router-link class="blue_ft" :to="{name: 'account_detail_view', params: {account_name: item.name}}">{{ item.name }}</router-link>
                        </div>
                    </td>
                    <td>
                    {{ 
                        item.created ? time_plus_hours(item.created) : 'T' 
                    }}
                    </td>
                </tr>
            </table>
        </div>
        <div class="get_more_ct mobile_ct" v-if="this.show_data.length">
            <a class="more_action_item get_more_action" v-if="(has_more && !on_load ) || is_auto_load" href="javascript:;" @click="next">{{ lang.view_more }}</a>
            <span class="more_action_item gray_info_txt" v-if="has_more && on_load && !is_auto_load" href="javascript:;">{{ lang.on_loading }}</span>
            <span class="more_action_item gray_info_txt" v-if="!has_more" href="javascript:;">{{ lang.no_more_data }}</span>
        </div>
    </div>
</template>
<script>
import table_nav from '../common/table_nav.vue'
import {
    get_accounts
} from '../../service/eos_service.js'
import { log, time_plus_hours, is_mobile } from '../utils/utils.js'
import { lang } from '../../data/lang.js'
import load_fns from '../common/load_fns.js'
export default {
    data () {
        return {
            on_load: false,
            is_auto_load: false,
            has_more: true,
            load_timestamp: new Date().getTime(),
            data_timestamp: new Date().getTime(),
            page_index: 1,
            page_num: 1,
            page_items_num: 10,
            show_data: [],
            page_list: [],
            lang: lang.data
        }
    },
    components:{
        table_nav
    },
    computed: {},
    mounted () {
        this.init();
        this.get_data(null, true);
    },
    destroyed () {
        this.reset();
    },
    methods: {
        init () {
            this.page_index = 1;
        },
        reset () {
            this.page_index = 0;
        },
        end () {
            this.finish_load();
            this.auto_update();
        },
        async get_data(page_index, is_auto){
            this.page_index = !page_index ? this.page_index : page_index;
            if(!this.page_index) return ;
            this.is_auto_load = is_auto;
            this.start_load(true);
            let post_time = this.new_data_timestamp();
            let res = await get_accounts(this.page_index, this.page_items_num);
            if(!res){
                this.finish_load();
                this.auto_update();
                return ;
            }
            console.log(res);
            this.page_num = res.data.total_page_num;
            if(this.page_index == 1){
                this.show_data.splice(0, this.show_data.length, ...res.data.items)
            }else{
                this.show_data.splice(this.show_data.length, 0, ...res.data.items);
            }
            if(res.data.items.length < 10){
                this.has_more = false;
            }
            this.finish_load();
            this.auto_update();
        },
        ...load_fns
        
    }
}
</script>



